<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\master_worker_customer;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\master_worker_customer\MasterWorkerCustomerLists;
use app\adminapi\logic\master_worker_customer\MasterWorkerCustomerLogic;
use app\adminapi\validate\master_worker_customer\MasterWorkerCustomerValidate;


/**
 * MasterWorkerCustomer控制器
 * Class MasterWorkerCustomerController
 * @package app\adminapi\controller\master_worker_customer
 */
class MasterWorkerCustomerController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 17:34
     */
    public function lists()
    {
        return $this->dataLists(new MasterWorkerCustomerLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 17:34
     */
    public function add()
    {
        $params = (new MasterWorkerCustomerValidate())->post()->goCheck('add');
        $result = MasterWorkerCustomerLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCustomerLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 17:34
     */
    public function edit()
    {
        $params = (new MasterWorkerCustomerValidate())->post()->goCheck('edit');
        $params['admin_id'] = $this->adminId;
        $result = MasterWorkerCustomerLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCustomerLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 17:34
     */
    public function delete()
    {
        $params = (new MasterWorkerCustomerValidate())->post()->goCheck('delete');
        MasterWorkerCustomerLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 17:34
     */
    public function detail()
    {
        $params = (new MasterWorkerCustomerValidate())->goCheck('detail');
        $result = MasterWorkerCustomerLogic::detail($params);
        return $this->data($result);
    }


}